in scala.xml.parsing
class FactoryAdapter

abstract `class` FactoryAdapter
  `extends` org.xml.sax.helpers.DefaultHandler
  `with` scala.ScalaObject

  SAX adapter class, for use with Java SAX parser. Keeps track of namespace bindings, without relying on namespace handling of the underlying SAX parser.

Constructor Summary
| `def` this

Def Summary
| `def` captureText : scala.Unit captures text, possibly normalizing whitespace
`override` | `def` characters ( ch : scala.Array[scala.Char] , offset : scala.Int , length : scala.Int ) : scala.Unit Characters.
| `def` createNode ( pre : java.lang.String , elemName : java.lang.String , attribs : scala.xml.MetaData , scope : scala.xml.NamespaceBinding , chIter : scala.List[scala.xml.Node] ) : scala.xml.Node creates an new non-text(tree) node.
| `def` createText ( text : java.lang.String ) : scala.xml.Text creates a Text node.
`override` | `def` endElement ( uri : java.lang.String , _localName : java.lang.String , qname : java.lang.String ) : scala.Unit End element.
`override` | `def` error ( ex : org.xml.sax.SAXParseException ) : scala.Unit Error.
`override` | `def` fatalError ( ex : org.xml.sax.SAXParseException ) : scala.Unit Fatal error.
| `def` load ( is : java.io.InputStream ) : scala.xml.Node loads XML from given InputStream
| `def` load ( reader : java.io.Reader ) : scala.xml.Node loads XML from given Reader
| `def` load ( sysID : java.lang.String ) : scala.xml.Node loads XML from given sysID
| `def` loadFile ( file : java.io.File ) : scala.xml.Node loads XML from given file
| `def` loadFile ( fileDesc : java.io.FileDescriptor ) : scala.xml.Node loads XML from given file descriptor
| `def` loadFile ( fileName : java.lang.String ) : scala.xml.Node loads XML from given file
| `def` loadXML ( source : org.xml.sax.InputSource ) : scala.xml.Node load XML document
| `def` nodeContainsText ( localName : java.lang.String ) : scala.Boolean Tests if an XML element contains text.
`protected` | `def` printError ( errtype : java.lang.String , ex : org.xml.sax.SAXParseException ) : scala.Unit Prints the error message
`override` | `def` startElement ( uri : java.lang.String , _localName : java.lang.String , qname : java.lang.String , attributes : org.xml.sax.Attributes ) : scala.Unit
`override` | `def` warning ( ex : org.xml.sax.SAXParseException ) : scala.Unit Warning.

Constructor Detail

`def` this

Def Detail

`def` captureText : scala.Unit

  captures text, possibly normalizing whitespace

override `def` characters ( ch : scala.Array[scala.Char] , offset : scala.Int , length : scala.Int ) : scala.Unit

  Characters.

param:
  ch
param:
  offset
param:
  length

`def` createNode ( pre : java.lang.String , elemName : java.lang.String , attribs : scala.xml.MetaData , scope : scala.xml.NamespaceBinding , chIter : scala.List[scala.xml.Node] ) : scala.xml.Node

  creates an new non-text(tree) node.

param:
  elemName
param:
  attribs
param:
  chIter
return:
  a new XML element.

`def` createText ( text : java.lang.String ) : scala.xml.Text

  creates a Text node.

param:
  text
return:
  a new Text node.

override `def` endElement ( uri : java.lang.String , _localName : java.lang.String , qname : java.lang.String ) : scala.Unit

  End element.

param:
  uri
param:
  localName
param:
  qname
throws:
  org.xml.sax.SAXException if ..

override `def` error ( ex : org.xml.sax.SAXParseException ) : scala.Unit

  Error.

override `def` fatalError ( ex : org.xml.sax.SAXParseException ) : scala.Unit

  Fatal error.

`def` load ( is : java.io.InputStream ) : scala.xml.Node

  loads XML from given InputStream

`def` load ( reader : java.io.Reader ) : scala.xml.Node

  loads XML from given Reader

`def` load ( sysID : java.lang.String ) : scala.xml.Node

  loads XML from given sysID

`def` loadFile ( file : java.io.File ) : scala.xml.Node

  loads XML from given file

`def` loadFile ( fileDesc : java.io.FileDescriptor ) : scala.xml.Node

  loads XML from given file descriptor

`def` loadFile ( fileName : java.lang.String ) : scala.xml.Node

  loads XML from given file

`def` loadXML ( source : org.xml.sax.InputSource ) : scala.xml.Node

  load XML document

param:
  source
return:
  a new XML document object

`def` nodeContainsText ( localName : java.lang.String ) : scala.Boolean

  Tests if an XML element contains text.

return:
  true if element named `localName` contains text.

protected `def` printError ( errtype : java.lang.String , ex : org.xml.sax.SAXParseException ) : scala.Unit

  Prints the error message

override `def` startElement ( uri : java.lang.String , _localName : java.lang.String , qname : java.lang.String , attributes : org.xml.sax.Attributes ) : scala.Unit

override `def` warning ( ex : org.xml.sax.SAXParseException ) : scala.Unit

  Warning.